as.topo {oce} | R Documentation

## Coerce Data into Topo Object

### Description

Coerce Data into Topo Object

### Usage

    as.topo(longitude, latitude, z, filename = "")

### Arguments

`longitude` | Either a vector of longitudes (in degrees east, and bounded by -180 and 180), or a `bathy` object created by `getNOAA.bathy()` from the `marmap` package; in the second case, all other arguments are ignored.
`latitude` | A vector of latitudes.
`z` | A matrix of heights (positive over land).
`filename` | Name of data (used when called by `read.topo`.

### Value

An object of `topo-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `topo` data: `[[,topo-method`, `[[<-,topo-method`, `download.topo`, `plot,topo-method`, `read.topo`, `subset,topo-method`, `summary,topo-method`, `topo-class`, `topoInterpolate`, `topoWorld`

[Package oce version 0.9-22 Index]